# Created by pyp2rpm-3.3.8
%global pypi_name fedora-messaging-the-new-hotness-schema
%global pypi_version 1.1.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        JSON schema definitions for messages published by the-new-hotness

License:        GPLv2+
URL:            https://github.com/fedora-infra/the-new-hotness
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/fedora_messaging_the_new_hotness_schema-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fedora-messaging)
BuildRequires:  python3dist(setuptools)

%description
the-new-hotness Message Schema JSON schema definitions for messages published
by the-new-hotness.See for documentation on the schema format. See for
documentation on fedora-messaging.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(fedora-messaging)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
the-new-hotness Message Schema JSON schema definitions for messages published
by the-new-hotness.See for documentation on the schema format. See for
documentation on fedora-messaging.


%prep
%autosetup -n fedora_messaging_the_new_hotness_schema-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/hotness_schema
%{python3_sitelib}/fedora_messaging_the_new_hotness_schema-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun May 29 2022 Sérgio Basto <sergio@serjux.com> - 1.1.1-1
- Initial package.
